# Introduction
Thank you for downloading and showing interest in the UCC28750
controller! Inside of the zip file are the flyback schematic and the library
file required to make the device model work. 

The simulation is set up to run
as a transient, demonstrating the startup and steady state operation of the
controller. The output current starts at full load and ramps down, and the
control law with frequency and current modulation can be seen.

The UCC28750 model can be double clicked to open the dialog menu for settings,
printing some debug nodes, and also contains an important disclaimer.
## Contents

### .sxsch

This is the schematic file, simply open it in SIMPLIS to get started!

### .lb
This is the library file that SIMPLIS uses as an include in its simulator
preprocessor to understand how the controller model works

## Requirements
Where ever the schematic file is unzipped, make sure to have the UCC28750.lb
file in the same directory. The include command in the F11 window is referencing
the same directory as the schematic file. 

## Additional Help
For any additional assistance working with the model or SIMPLIS, please consider
posting on TI's popular [Engineer2Engineer Forums](e2e.ti.com)

# Disclaimer

TI PROVIDES TECHNICAL AND RELIABILITY DATA (INCLUDING DATASHEETS), DESIGN
RESOURCES (INCLUDING REFERENCE DESIGNS), APPLICATION OR OTHER DESIGN ADVICE,
WEB TOOLS, SAFETY INFORMATION, AND OTHER RESOURCES “AS IS” AND WITH ALL FAULTS,
AND DISCLAIMS ALL WARRANTIES, EXPRESS AND IMPLIED, INCLUDING WITHOUT LIMITATION
ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR
NON-INFRINGEMENT OF THIRD PARTY INTELLECTUAL PROPERTY RIGHTS.

These resources are intended for skilled developers designing with TI products.
You are solely responsible for (1) selecting the appropriate TI products for
your application, (2) designing, validating and testing your application, and
(3) ensuring your application meets applicable standards, and any other safety,
security, regulatory or other requirements.

These resources are subject to change without notice. TI grants you permission
to use these resources only for development of an application that uses the
TI products described in the resource. Other reproduction and display of these
resources is prohibited. No license is granted to any other TI intellectual
property right or to any third party intellectual property right. TI disclaims
responsibility for, and you will fully indemnify TI and its representatives
against, any claims, damages, costs, losses, and liabilities arising out of your
use of these resources. 

TI’s products are provided subject to TI’s Terms of Sale or other applicable
terms available either on ti.com or provided in conjunction with such TI
products. TI’s provision of these resources does not expand or otherwise alter
TI’s applicable warranties or warranty disclaimers for TI products.   

TI objects to and rejects any additional or different terms you may have proposed.  
